#include <unistd.h>
#include <fcntl.h>
#include "fd.h"

int fd_copy(register int to, register int from)
{
  if (to == from) return 0;
  if (fcntl(from, F_GETFL, 0) < 0) return -1;
  close(to);
  if (fcntl(from, F_DUPFD, to) < 0) return -1;
  return 0;
}
