#ifndef NEMO_INSTALL_LOG_H
#define NEMO_INSTALL_LOG_H

#ifdef __cplusplus
extern "C" {
#endif

void install_log_init(int fd);
void log_h(const char *home, uid_t uid, gid_t gid, mode_t mode);
void log_d(const char *home, const char *subdir, uid_t uid, gid_t gid, mode_t mode);
void log_p(const char *home, const char *fifo, uid_t uid, gid_t gid, mode_t mode);
void log_c(const char *home, const char *subdir, const char *file, uid_t uid, gid_t gid, mode_t mode);
void log_z(const char *home, const char *subdir, const char *file, unsigned int len, uid_t uid, gid_t gid, mode_t mode);

#ifdef __cplusplus
}
#endif

#endif
