#include "stdint.h"
#include "ip4.h"

int ip4_diff(const ip4_address *ip1, const ip4_address *ip2)
{
  register const byte_t *d1;
  register const byte_t *d2;
  register int v1;
  register int v2;
  register int r;
  d1 = ip1->d;
  d2 = ip2->d;
/*
  if (*d1 != *d2) return ((int)(unsigned int)*d1) - ((int)(unsigned int)*d2);
  ++d1;
  ++d2;

  if (*d1 != *d2) return ((int)(unsigned int)*d1) - ((int)(unsigned int)*d2);
  ++d1;
  ++d2;

  if (*d1 != *d2) return ((int)(unsigned int)*d1) - ((int)(unsigned int)*d2);
  ++d1;
  ++d2;

  return ((int)(unsigned int)*d1) - ((int)(unsigned int)*d2);
*/
  v1 = *d1++;
  v2 = *d2++;
  r = v1 - v2;
  if (r) return r;

  v1 = *d1++;
  v2 = *d2++;
  r = v1 - v2;
  if (r) return r;

  v1 = *d1++;
  v2 = *d2++;
  r = v1 - v2;
  if (r) return r;

  v1 = *d1;
  v2 = *d2;
  return v1 - v2;
}
