#include "stdint.h"
#include "ip4.h"

void ip4_pack_uint32(const ip4_address *ip, uint32_t *u)
{
  register uint32_t t;
  register const byte_t *x;

  x = ip->d;

  t = *x++;
  t <<= 8;

  t |= *x++;
  t <<= 8;

  t |= *x++;
  t <<= 8;

  t |= *x;
  *u = t;
}
