#include "stdint.h"
#include "ip4.h"

void ip4_reverse(ip4_address *ip)
{
  register byte_t *x;
  register byte_t *y;
  register byte_t c;

  x = ip->d;
  y = x + 3;

  /* 0 <-> 3 */
  c = *x;
  *x = *y;
  *y = c;

  x++;
  y--;

  /* 1 <-> 2 */
  c = *x;
  *x = *y;
  *y = c;
}
