#include "stdint.h"
#include "scan.h"
#include "ip4.h"

unsigned int ip4_scan(ip4_address *ip, const char *s)
{
  register byte_t *x;
  register const char *t;
  register unsigned int len;
  unsigned long u;

  t = s;
  x = ip->d;

  len = scan_ulong(t, &u);
  if (!len) return 0;
  if (u > 0xff) return 0;
  *x++ = (byte_t)u;
  t += len;

  if (*t != '.') return 0;
  ++t;

  len = scan_ulong(t, &u);
  if (!len) return 0;
  if (u > 0xff) return 0;
  *x++ = (byte_t)u;
  t += len;

  if (*t != '.') return 0;
  ++t;

  len = scan_ulong(t, &u);
  if (!len) return 0;
  if (u > 0xff) return 0;
  *x++ = (byte_t)u;
  t += len;

  if (*t != '.') return 0;
  ++t;

  len = scan_ulong(t, &u);
  if (!len) return 0;
  if (u > 0xff) return 0;
  *x = (byte_t)u;
  t += len;

  return (unsigned int)(t - s);
}
