#include "stdint.h"
#include "scan.h"
#include "ip4.h"

unsigned int ip4_scanbracket(ip4_address *ip, const char *s)
{
  register unsigned int len;
  register const char *t;

  t = s;
  if (*t != '[') return 0;
  t++;
  len = ip4_scan(ip, t);
  if (!len) return 0;
  t += len;
  if (*t != ']') return 0;
  t++;
  return (unsigned int)(t - s);
}
