#include "stralloc.h"
#include "sa_vector.h"

unsigned int sa_vector_erase(register sa_vector *v)
{
  register unsigned int i;
  register unsigned int len;
  if (!sa_vector_ready(v, 1)) return 0;
  len = v->len;
  for (i = 0; i < len; ++i) {
    if (!stralloc_erase(&(v->va[i]))) return 0;
  }
  v->len = 0;
  return 1;
}
