#include "stralloc.h"
#include "sa_vector.h"

void sa_vector_reverse(register sa_vector *v)
{
  register unsigned int i;
  register unsigned int j;
  register unsigned int mid;

  if (!v->va) return;
  if (!v->len) return;
  i = 0;
  j = v->len - 1;
  mid = v->len / 2;
  while (i < mid) {
    sa_vector_swap(v, i, j);
    ++i;
    --j;
  }
}
