#include "stdint.h"
#include "scan.h"
#include "char.h"

unsigned int scan_8long(const void *in, unsigned long *u)
{
  register const byte_t *s;
  register const byte_t *t;
  register unsigned long value;
  register unsigned long result;
  register unsigned int c;

  t = s = in;
  result = 0;
  while ((c = *s)) {
    value = (unsigned long)(byte_t)char_hex_table[(byte_t)c];
    if (value >> 3) break;  /* octal is subset of hex */
    result = (result << 3) | value;
    ++s;
  }
  *u = result;
  return (unsigned int)(s - t);
}
