#include "stdint.h"
#include "scan.h"
#include "char.h"

unsigned int scan_ulong(const void *in, register unsigned long *u)
{
  register const byte_t *s;
  register const byte_t *t;
  register unsigned long result;
  register unsigned long value;
  register unsigned int c;

  t = s = in;
  result = 0;
  while ((c = *s)) {
    value = (unsigned long)(byte_t)char_hex_table[(byte_t)c];
    if (value > 9) break;  /* decimal is subset of hex */
    result = result * 10 + value;
    ++s;
  }
  *u = result;
  return (unsigned int)(s - t);  /* number of digits scanned */
}
