#include "stdint.h"
#include "stralloc.h"
#include "char.h"

unsigned int stralloc_case_equal(const stralloc *sa1, const stralloc *sa2)
{
  register const char *d1;
  register const char *d2;
  register unsigned int len;
  register int x;
  register int y;

  d1 = sa1->s;
  d2 = sa2->s;

  len = sa1->len;
  if (len != sa2->len) return 0;

  while (len) {
    x = char_tolower(*d1++);
    y = char_tolower(*d2++);
    if (x != y) return 0;
    --len;
  }

  return 1;
}
