#include "stralloc.h"

int stralloc_diff(const stralloc *sa1, const stralloc *sa2)
{
  register const char *s1;
  register const char *s2;
  register unsigned int len1;
  register unsigned int len2;

  s1 = sa1->s;
  s2 = sa2->s;

  len1 = sa1->len;
  len2 = sa2->len;

  while (len1 && len2) {
    if (*s1 != *s2) return *s1 - *s2;
    ++s1;
    ++s2;
    --len1;
    --len2;
  }

  return (int)len1 - (int)len2;
}
