#include "stralloc.h"

int stralloc_diffb(const stralloc *sa, const void *d, register unsigned int d_len)
{
  register const char *s1;
  register const char *s2;
  register unsigned int sa_len;

  s1 = sa->s;
  s2 = d;

  sa_len = sa->len;

  while (sa_len && d_len) {
    if (*s1 != *s2) return *s1 - *s2;
    ++s1;
    ++s2;
    --sa_len;
    --d_len;
  }

  return (int)sa_len - (int)d_len;
}
