#ifndef NEMO_SURFPCS_H
#define NEMO_SURFPCS_H

typedef struct {
  uint32_t seed[32];
  uint32_t sum[8];
  uint32_t out[8];
  uint32_t in[12];
  unsigned int todo;
} surfpcs;

#define SURFPCS_LEN 32

extern void surfpcs_init(surfpcs *s, const uint32_t seed[32]);
extern void surfpcs_add(surfpcs *s, const void *buf, unsigned int len);
extern void surfpcs_out(surfpcs *s, byte_t h[SURFPCS_LEN]);

#endif
