#include "stdint.h"
#include "unixtypes.h"
#include "tai.h"

void tai_pack(const struct tai *t, void *d)
{
  register uint64_t ul;
  register byte_t *x;

  x = d;
  ul = t->x;

  x[7] = (byte_t)(ul & 255);
  ul >>= 8;

  x[6] = (byte_t)(ul & 255);
  ul >>= 8;

  x[5] = (byte_t)(ul & 255);
  ul >>= 8;

  x[4] = (byte_t)(ul & 255);
  ul >>= 8;

  x[3] = (byte_t)(ul & 255);
  ul >>= 8;

  x[2] = (byte_t)(ul & 255);
  ul >>= 8;

  x[1] = (byte_t)(ul & 255);
  ul >>= 8;

  x[0] = (byte_t)ul;
}
