#include <sys/time.h>

#include "stdint.h"
/* #include "unixtypes.h" */
#include "tai.h"
#include "taia.h"
#include "utc_leapsecs.h"

/* XXX: breaks tai encapsulation */

void taia_now(register struct taia *t)
{
  struct timeval now;
  gettimeofday(&now, (struct timezone *) 0);
  t->sec.x = 4611686018427387914ULL + (uint64_t) now.tv_sec + UTC_LEAPSECS;
  t->nano = 1000 * (unsigned long)now.tv_usec + 500;
  t->atto = 0;
}
