#include "stdint.h"
#include "unixtypes.h"
#include "unix.h"
#include "cpu.h"

void _exit(int);

static void outs(const char *s)
{
  while (*s) {
    if (write(1, s, 1) < 0) _exit(111);
    s++;
  }
}

int main(int argc, char **argv)
{
  if (argc != 1) _exit(111);  /* keep compiler quiet */
  if (!*argv[0]) _exit(111);  /* keep compiler quiet */

  outs("test_cpu_abi_name: ");
  outs(cpu_abi_name());
  outs("\n");
  _exit(0);
}
