#include <unistd.h>

void _exit(int);

int main(int argc, char **argv)
{
  short x[4];

  if (argc != 1) return 111;  /* keep compiler quiet */
  if (!*argv[0]) return 111;  /* keep compiler quiet */

  x[0] = x[1] = 1;
  if (getgroups(1, x) == 0) {
    if (setgroups(1, x) < 0) _exit(1);
  }
  if (getgroups(1, x) < 0) _exit(1);
  if (x[1] != 1) _exit(1);
  x[1] = 2;
  if (getgroups(1, x) < 0) _exit(1);
  if (x[1] != 2) _exit(1);
  return (0);
}
