#include "stdint.h"
#include "uint64.h"

void uint64_unpack_big(uint64_t *u, const void *d)
{
  register uint64_t result;
  register const byte_t *x;

  x = d;
  result = (unsigned)(*x++ << 8);
  result |= *x++;
  result <<= 8;
  result |= *x++;
  result <<= 8;
  result |= *x++;
  result <<= 8;
  result |= *x++;
  result <<= 8;
  result |= *x++;
  result <<= 8;
  result |= *x++;
  result <<= 8;
  result |= *x;
  *u = result;
}
