#include <sys/time.h>
#include <stdlib.h>

#include "stdint.h"

uint32_t unix_cryptorandomnumber(void);
/*
  Attempt to create a portable random number generator.
  tv_usec is a nice 'long' looping number for a seed.
  unfortuneately random() has 31 bits of range.
*/

uint32_t unix_cryptorandomnumber(void)
{
  struct timeval now;
  gettimeofday(&now, (struct timezone*)0);
  srandom((unsigned int)now.tv_usec);
  return (uint32_t)random();
}
