#include "stdint.h"
#include "byte.h"
#include "char.h"

int byte_case_diff(const void *x1, unsigned int len, const void *x2)
{
  register const char *d1;
  register const char *d2;
  register int x;
  register int y;

  d1 = x1;
  d2 = x2;

  while (len) {
    x = char_tolower(*d1++);  /* inline function */
    y = char_tolower(*d2++);  /* inline function */
    if (x != y) return x - y;
    --len;
  }

  return 0;
}
