#include "stdint.h"
#include "byte.h"

int byte_diff(const void *x1, register unsigned int len, const void *x2)
{
  register const byte_t *s;
  register const byte_t *t;

  s = x1;
  t = x2;

  for (;;) {
    if (!len) return 0;
    if (*s != *t) break;
    ++s;
    ++t;
    --len;

    if (!len) return 0;
    if (*s != *t) break;
    ++s;
    ++t;
    --len;

    if (!len) return 0;
    if (*s != *t) break;
    ++s;
    ++t;
    --len;

    if (!len) return 0;
    if (*s != *t) break;
    ++s;
    ++t;
    --len;
  }

  return ((int)(unsigned int)*s) - ((int)(unsigned int)*t);
}
