#ifndef NEMO_ERROR_H
#define NEMO_ERROR_H

#include <errno.h>

#ifdef __cplusplus
extern "C" {
#endif

extern const int error_intr;
extern const int error_nomem;
extern const int error_noent;
extern const int error_txtbsy;
extern const int error_io;
extern const int error_exist;
extern const int error_timeout;
extern const int error_inprogress;
extern const int error_wouldblock;
extern const int error_again;
extern const int error_pipe;
extern const int error_perm;
extern const int error_acces;
extern const int error_nodevice;
extern const int error_proto;
extern const int error_isdir;
extern const int error_connrefused;
extern const int error_notdir;
extern const int error_rofs;
extern const int error_connreset;
extern const int error_dquot;
extern const int error_invalidarg;

const char	*error_str(int i);
int		error_temp(int e);

#ifdef __cplusplus
}
#endif

#endif
