#include "stdint.h"
#include "char.h"
#include "fmt.h"

unsigned int fmt_xlong(void *out, register unsigned long u)
{
  register char *s;
  register unsigned int len;
  register unsigned long q;
  s = out;
  len = 1;
  q = u;
  while (q > 15) {
    ++len;
    q >>= 4;
  }
  if (s) {
    s += len;
    do {
      *--s = char_hex_chars[u & 15];
      u >>= 4;
    } while(u);  /* handles u == 0 */
  }
  return len;
}
