#include "stdint.h"
#include "unixtypes.h"
#include "auto_prefix.h"

#include "install.h"

void hier(void);

void hier(void)
{
  h(auto_prefix, (uid_t)-1, (gid_t)-1, 0755);

  d(auto_prefix, "bin", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "lib", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "include", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "include/nemo", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "man", install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/man1", install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/man3", install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/man5", install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/man8", install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/cat1", install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/cat3", install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/cat5", install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/cat8", install_manuid, (gid_t)-1, 0755);

  c(auto_prefix, "bin", "c-auto-bool", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "c-auto-define", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "c-auto-gid", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "c-auto-octal", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "c-auto-str", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "c-auto-text", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "c-auto-uid", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "c-auto-uint", (uid_t)-1, (gid_t)-1, 0755);

  c(auto_prefix, "lib", "libdjb.a", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "lib", "libdjbinstall.a", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "lib", "libdjbinstcheck.a", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "alloc.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "base32.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "base32hex.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "base64.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "byte.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "char.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "coe.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "cpu.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "constmap.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "direntry.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "env.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "error.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "exit.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "fd.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "fmt.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "fifo.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "fork.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "hasdevtcp.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "hasflock.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "hasmkffo.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "hassgprm.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "hasnpbg1.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "hassalen.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "hassgact.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "hasshsgr.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "haswaitp.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "int_vector.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "ip4.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "ip6.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "install.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "lock.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "macro_noreturn.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "macro_unused.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "ndelay.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "open.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "prot.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "pathexec.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "sa_stream.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "sa_vector.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "scan.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "seek.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "select.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "sig.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "siphash.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "stdint.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "str.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "stralloc.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "subgetopt.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "surf.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "surfpcs.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "tai.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "taia.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "uint_vector.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "uint16.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "uint32.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "uint32_vector.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "uint64.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "uint64_vector.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "unix.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "unixtypes.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "wait.h", (uid_t)-1, (gid_t)-1, 0644);

  c(auto_prefix, "man/man3", "alloc.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_case_diff.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_case_equal.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_case_starts.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_chr.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_copy.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_count.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_diff.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_lower.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "byte_zero.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "coe.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "direntry.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "env.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "error.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "error_str.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "error_temp.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fd_copy.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fd_move.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fifo_make.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_hexb.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_long.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_minus.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_8long.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_plusminus.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_str.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_uint.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_ulong.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "fmt_xlong.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "ip4_address.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "ip6_address.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_stream.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_stream_getc.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_vector.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_vector_append.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_vector_appendb.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_vector_appends.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_vector_cat.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_vector_erase.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sa_vector_ready.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "siphash.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "str_case_diff.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "str_case_start.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "str_lower.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_base32_decode.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_base32_encode.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_base32hex_decode.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_base32hex_encode.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_base64_decode.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_base64_encode.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_erase.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_hex_decode.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_hex_encode.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_cat.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_chr.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_copy.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_count.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_diff.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_end.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_equal.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_lower.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_ready.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_remove.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_replace.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_start.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_trim.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "stralloc_zero.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "subgetopt.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "surf.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "surfpcs.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "tai.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "tai_now.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "tai_pack.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "taia.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "taia_now.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "taia_pack.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "uint32_vector.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "uint32_vector_append.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "uint32_vector_erase.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "uint32_vector_ready.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "unix_cryptorandomnumber.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "unix_now.3", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "wait.3", install_manuid, (gid_t)-1, 0644);

  c(auto_prefix, "man/cat3", "alloc.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_case_diff.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_case_equal.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_case_starts.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_chr.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_copy.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_count.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_diff.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_lower.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "byte_zero.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "coe.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "direntry.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "env.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "error.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "error_str.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "error_temp.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fd_copy.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fd_move.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fifo_make.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_hexb.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_long.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_minus.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_8long.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_plusminus.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_str.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_uint.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_ulong.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "fmt_xlong.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "ip4_address.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "ip6_address.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_stream.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_stream_getc.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_vector.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_vector_append.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_vector_appendb.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_vector_appends.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_vector_cat.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_vector_erase.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sa_vector_ready.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "siphash.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "str_case_diff.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "str_case_start.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "str_lower.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_base32_decode.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_base32_encode.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_base32hex_decode.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_base32hex_encode.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_base64_decode.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_base64_encode.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_erase.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_hex_decode.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_hex_encode.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_cat.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_chr.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_copy.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_count.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_diff.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_end.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_equal.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_lower.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_ready.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_remove.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_replace.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_start.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_trim.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "stralloc_zero.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "subgetopt.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "surf.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "surfpcs.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "tai.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "tai_now.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "tai_pack.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "taia.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "taia_now.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "taia_pack.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "uint32_vector.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "uint32_vector_append.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "uint32_vector_erase.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "uint32_vector_ready.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "unix_cryptorandomnumber.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "unix_now.0", install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "wait.0", install_manuid, (gid_t)-1, 0644);
}
