#include "stdint.h"
#include "fmt.h"
#include "ip4.h"

unsigned int ip4_fmt(const ip4_address *ip, register void *out)
{
  register unsigned int len;
  register unsigned int i;
  register const byte_t *x;
  register char *s;
  x = ip->d;
  s = out;
  len = 0;
  if (s) {
    i = fmt_ulong(s, (unsigned long) *x++);
    len += i;
    s += i;

    *s++ = '.';
    ++len;

    i = fmt_ulong(s, (unsigned long) *x++);
    len += i;
    s += i;

    *s++ = '.';
    ++len;

    i = fmt_ulong(s, (unsigned long) *x++);
    len += i;
    s += i;

    *s++ = '.';
    ++len;

    i = fmt_ulong(s, (unsigned long) *x);
    len += i;
    s += i;
  }
  else {
    len += fmt_ulong(FMT_LEN, (unsigned long) *x++);
    ++len;
    len += fmt_ulong(FMT_LEN, (unsigned long) *x++);
    ++len;
    len += fmt_ulong(FMT_LEN, (unsigned long) *x++);
    ++len;
    len += fmt_ulong(FMT_LEN, (unsigned long) *x);
  }
  return len;
}
