#include "stdint.h"
#include "ip4.h"
#include "fmt.h"

unsigned int ip4_fmtiaa(const ip4_address *ip, void *out)
{
  register char *s;
  register unsigned int i;
  register unsigned int len;
  s = out;
  len = 0;
  if (s) {
    i = fmt_ulong(s, (unsigned long) ip->d[3]);
    len += i;
    s += i;

    *s++ = '.';
    ++len;

    i = fmt_ulong(s, (unsigned long) ip->d[2]);
    len += i;
    s += i;

    *s++ = '.';
    ++len;

    i = fmt_ulong(s, (unsigned long) ip->d[1]);
    len += i;
    s += i;

    *s++ = '.';
    ++len;

    i = fmt_ulong(s, (unsigned long) ip->d[0]);
    len += i;
    s += i;

    i = fmt_str(s, ".in-addr.arpa.");
    len += i;
  }
  else {
    len += fmt_ulong(FMT_LEN, (unsigned long) ip->d[3]);
    ++len;
    len += fmt_ulong(FMT_LEN, (unsigned long) ip->d[2]);
    ++len;
    len += fmt_ulong(FMT_LEN, (unsigned long) ip->d[1]);
    ++len;
    len += fmt_ulong(FMT_LEN, (unsigned long) ip->d[0]);
    len += fmt_str(FMT_LEN, ".in-addr.arpa.");
  }
  return len;
}
