#include "stdint.h"
#include "alloc.h"
#include "ip4.h"

#define	BASE 10

#define	DATA_SIZE sizeof(ip4_address)

unsigned int ip4_vector_realloc(register ip4_vector *v, register unsigned int n)
{
  register unsigned int i;
  i = v->a;
  v->a = BASE + n + (n >> 3);
  if (alloc_re((void **)&(v->va), i * DATA_SIZE, v->a * DATA_SIZE)) return 1;
  v->a = i;
  return 0;
}

unsigned int ip4_vector_alloc(register ip4_vector *v, register unsigned int n)
{
  v->len = 0;
  v->a = BASE + n + (n >> 3);
  return (!!(v->va = (ip4_address *)alloc(v->a * DATA_SIZE)));
}
