#include "stdint.h"
#include "ip4.h"
#include "ip6.h"

void ip6_vector_swap(register ip6_vector *v, register unsigned int i, register unsigned int j)
{
  ip6_address tmp;
  if (i >= v->len) return;
  if (j >= v->len) return;
  tmp = v->va[i];
  v->va[i] = v->va[j];
  v->va[j] = tmp;
}
