#include "stralloc.h"
#include "sa_vector.h"

unsigned int sa_vector_append(register sa_vector *v, register const stralloc *sa)
{
  if (!sa_vector_readyplus(v, 1)) return 0;
  if (!stralloc_copy(&(v->va[v->len]), sa)) return 0;
  v->len++;  /* only do this after success */
  return 1;
}
