#include "stralloc.h"
#include "sa_vector.h"

unsigned int sa_vector_appends(register sa_vector *v, register const char *s)
{
  if (!sa_vector_readyplus(v, 1)) return 0;
  if (!stralloc_copys(&(v->va[v->len]), s)) return 0;
  v->len++;  /* only do this after success */
  return 1;
}
