#include "stdint.h"
#include "stralloc.h"
#include "char.h"

unsigned int stralloc_case_start(const stralloc *sa, const stralloc *prefix)
{
  register const char *d1;
  register const char *d2;
  register unsigned int len;
  register int x;
  register int y;

  len = prefix->len;
  if (len > sa->len) return 0;

  d1 = sa->s;
  d2 = prefix->s;

  while (len) {
    x = char_tolower(*d1++);
    y = char_tolower(*d2++);
    if (x != y) return 0;
    --len;
  }

  return 1;
}
