#include "stralloc.h"

int stralloc_diffs(const stralloc *sa, register const char *s)
{
  register const char *data;
  register unsigned int len;

  data = sa->s;
  len = sa->len;

  while (*s) {
    if (!len) return -1;  /* not end of string */
    if (*data != *s) return *data - *s;
    ++s;
    ++data;
    --len;
  }

  return (int)len;  /* end of string */
}
