#include "stralloc.h"

unsigned int stralloc_endb(const stralloc *sa, const void *suffix, register unsigned int len)
{
  register const char *x;
  register const char *y;

  if (len > sa->len) return 0;

  x = sa->s;
  y = suffix;

  x += sa->len - len;

  while (len) {
    if (*x != *y) return 0;
    ++x;
    ++y;
    --len;
  }

  return 1;
}
