#include "str.h"
#include "stralloc.h"

unsigned int stralloc_ends(const stralloc *sa, register const char *suffix)
{
  register const char *x;
  register int offset;

  offset = (int)sa->len - (int)str_len(suffix);
  if (offset < 0) return 0;

  x = sa->s;
  x += offset;

  while (*suffix) {
    if (*x != *suffix) return 0;
    ++x;
    ++suffix;
  }

  return 1;
}
