#include "stralloc.h"

unsigned int stralloc_equal(const stralloc *sa1, const stralloc *sa2)
{
  register const char *s1;
  register const char *s2;
  register unsigned int len;

  s1 = sa1->s;
  s2 = sa2->s;

  len = sa1->len;
  if (len != sa2->len) return 0;

  while (len) {
    if (*s1 != *s2) return 0;
    ++s1;
    ++s2;
    --len;
  }

  return 1;
}
