#include "stralloc.h"

void stralloc_remove(register stralloc *sa, register unsigned int pos, unsigned int len)
{
  register char *dest;
  register char *src;
  register unsigned int last;

  if (pos >= sa->len) return;  /* pos is outside of data */
  if (pos + len >= sa->len) {  /* pos+len is outside of data --> trim */
    sa->len = pos;
    return;
  }
  last = sa->len - len;
  dest = sa->s + pos;
  src = dest + len;
  while (pos < last) {  /* shuffle down */
    *dest++ = *src++;
    pos++;
  }
  sa->len = last;
}
