#include "byte.h"
#include "stralloc.h"

unsigned int stralloc_start(register const stralloc *sa, register const stralloc *prefix)
{
  register const char *d1;
  register const char *d2;
  register unsigned int len;

  len = prefix->len;
  if (len > sa->len) return 0;

  d1 = sa->s;
  d2 = prefix->s;

  while (len) {
    if (*d1 != *d2) return 0;
    ++d1;
    ++d2;
    --len;
  }

  return 1;
}
