#include "byte.h"
#include "stralloc.h"

unsigned int stralloc_startb(const stralloc *sa, const void *prefix, register unsigned int len)
{
  register const char *x;
  register const char *y;

  if (len > sa->len) return 0;

  x = sa->s;
  y = prefix;

  while (len) {
    if (*x != *y) return 0;
    ++x;
    ++y;
    --len;
  }

  return 1;
}
