#include "stdint.h"
#include "unixtypes.h"
#include "tai.h"
#include "taia.h"

/* XXX: breaks tai encapsulation */

unsigned int taia_less(register const struct taia *t, register const struct taia *u)
{
  if (t->sec.x < u->sec.x) return 1;
  if (t->sec.x > u->sec.x) return 0;
  if (t->nano < u->nano) return 1;
  if (t->nano > u->nano) return 0;
  return t->atto < u->atto;
}
