#include "stdint.h"
#include "uint32.h"

void uint32_reverse(uint32_t *u)
{
  register uint32_t t;
  register uint32_t r;
  register unsigned int i;

  t = *u;
  r = 0;
  for (i = 0; i < 8; i++) {
    r = (uint32_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint32_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint32_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint32_t)((r << 1) | (t & 1));
    t >>= 1;
  }
  *u = r;
}
