#ifndef NEMO_UINT64_H
#define NEMO_UINT64_H

#ifdef __cplusplus
extern "C" {
#endif

void uint64_pack(uint64_t u, void *d);
void uint64_pack_big(uint64_t u, void *d);
void uint64_unpack(uint64_t *u, const void *d);
void uint64_unpack_big(uint64_t *u, const void *d);

void uint64_reverse(uint64_t *u);

unsigned int scan_uint64(const void *s, uint64_t *u);

#ifdef __cplusplus
}
#endif

#endif
